<?php

    include("../../classes/database.class.php");
    include("../../classes/modoPagamentoDocumentoModel.class.php");
    include("../../classes/modoPagamentoDocumentoController.class.php");

    $idModoPagamento = $_POST["idModoPagamento"];
    $idDocumento = $_POST["idDocumento"];
    $valor = $_POST["valor"];

    if($idModoPagamento == ""){
        $idModoPagamento = null;
    }
    if($idDocumento == ""){
        $idDocumento = null;
    }
    if($valor == ""){
        $valor = null;
    }

    $modelo = new ModoPagamentoDocumentoController($idModoPagamento, $idDocumento, $valor);
    $id = $modelo->createModoPagamentoDocumento();
    echo $id;